From 5617d286f0b0fca1e75826a1ca7a3997490a621d Mon Sep 17 00:00:00 2001
From: Juan Jose Garcia Ripoll <jjgarcia@users.sourceforge.net>
Date: Fri, 23 Apr 2010 22:50:15 +0200
Subject: [PATCH 3/4] Instead of defining a new null-pointer-p, just reexport the symbol from ECL's package.

---
 src/cffi-ecl.lisp |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

diff --git a/src/cffi-ecl.lisp b/src/cffi-ecl.lisp
index 7248ca7..c137fdc 100644
--- a/src/cffi-ecl.lisp
+++ b/src/cffi-ecl.lisp
@@ -29,6 +29,7 @@
 
 (defpackage #:cffi-sys
   (:use #:common-lisp #:alexandria)
+  (:import-from #:si #:null-pointer-p)
   (:export
    #:canonicalize-symbol-name-case
    #:foreign-pointer
@@ -101,10 +102,6 @@ SIZE-VAR is supplied, it will be bound to SIZE during BODY."
   "Construct and return a null pointer."
   (si:allocate-foreign-data :void 0))
 
-(defun null-pointer-p (ptr)
-  "Return true if PTR is a null pointer."
-  (si:null-pointer-p ptr))
-
 (defun inc-pointer (ptr offset)
   "Return a pointer OFFSET bytes past PTR."
   (ffi:make-pointer (+ (ffi:pointer-address ptr) offset) :void))
-- 
1.6.6.1

